Flatpak installation problems

Post here if you are a new Porteus member and you're looking for some help.
Lachu
White ninja
White ninja
Posts: 7
Joined: 14 May 2020, 16:53
Distribution: OpenSUSE

Flatpak installation problems

Post#1 by Lachu » 14 May 2020, 17:28

Code: Select all

 The following items were found.
 Choose an number to confirm. 
 ctrl+c to quit


Processing:   flatpak-0.11.7-x86_64-1_slonly.txz 
Ignored libraries: 

Libraries required:  38
Libraries found in system: 30
Libraries to resolve: 8

Processing library: libappstream-glib.so.8
Processing library: libgpgme-pthread.so.11
Processing library: libicudata.so.56

 More than one package contains:  libicudata.so.56
icu4c-56.1-x86_64-2.txz                         8092K    slackware
libreoffice-5.1.4-x86_64-1dj.txz                119415K  salix
saleae-logic-1.2.18-x86_64-2_slonly.txz         18960K   slackonly
zoom-linux-3.5.352596.0119-x86_64-1_slonly.txz  70796K   slackonly
qutebrowser-tox-1.10.2-x86_64-4_slonly.txz      95416K   slackonly
protonmail-bridge-1.2.6-x86_64-1_slonly.txz     37080K   slackonly
insync-3.1.3.40790-x86_64-1_slonly.txz          98980K   slackonly
XnViewMP-0.94.1-x86_64-1_slonly.txz             44364K   slackonly
hexinator-1.12-x86_64-1_slonly.txz              57984K   slackonly

 The following items were found.
 Choose an number to confirm. 
 ctrl+c to quit

Processing library: libicui18n.so.56
Processing library: libicuuc.so.56
Processing library: libjson-glib-1.0.so.0

 More than one package contains:  libjson-glib-1.0.so.0
json-glib-1.2.0-x86_64-1gv.txz     219K  salix
json-glib-1.2.8-x86_64-1ponce.txz  284K  ponce

 The following items were found.
 Choose an number to confirm. 
 ctrl+c to quit

Processing library: libostree-1.so.1
Processing library: libseccomp.so.2


Processing:   appstream-glib-0.7.15-x86_64-2_slonly.txz 
          

==============================================================================
WARNING!        WARNING!        WARNING!        WARNING!        WARNING!
==============================================================================
One or more errors occurred while usm was running:                       
 
FATAL ERROR!
 resolve_deps 369
Please wait 6 hours for the next database update. Could not find: LIBS.TXT
 
============================================================================== 
I have problem with redirecting questions by using 2>&1 | tee output,txt (for example) .

User avatar
Ed_P
Contributor
Contributor
Posts: 5476
Joined: 06 Feb 2013, 22:12
Distribution: 4.0 Cinnamon 64-bit ISO
Location: Western NY, USA

Flatpak installation problems

Post#2 by Ed_P » 15 May 2020, 04:00

Interesting. I got the same results using the USM GUI. Apparently the SlackOnly mirror has problems.

The GUI doesn't show the version you are downloading it showed me 2 different ones.
Ed

nachosan
White ninja
White ninja
Posts: 7
Joined: 24 Apr 2020, 16:20
Distribution: Porteus-CINNAMON-v5.0rc1

Flatpak installation problems

Post#3 by nachosan » 16 May 2020, 17:31

I've seen issues regarding usm automatic resolution of dependencies. Never truly downloads packages. But I tried and got flatpak functioning with a workaround downloading packages manually, I used https://slackware.pkgs.org/.

At the end this are all the packages i downloaded and installed:
appstream-glib-0.7.15-x86_64-2_slonly.xzm
libseccomp-2.4.3-x86_64-1_slonly.xzm
libyaml-0.1.6-x86_64-1.xzm
glib-networking-2.64.2-x86_64-1.xzm
ostree-2019.6-x86_64-1_slonly.xzm
gpgme-1.6.0-x86_64-1.xzm
rpm-4.12.0.1-x86_64-1.xzm
icu4c-56.1-x86_64-2.xzm

Let me know if it works for you.

The whole process of the workaround is like this, if youre interested.

First searched and downloaded flatpak from that page. Noticing that it was the latest version and the x86_64 option
then moved it to decompressed it in the usm folder for orderly reasons.

Code: Select all

wget https://packages.slackonly.com/pub/packages/current-x86_64/desktop/flatpak/flatpak-0.8.1-x86_64-2_slonly.txz
mv /home/guest/Downloads/flatpak-1.6.2-x86_64-1_slonly.xzm /tmp/usm/
Then turned it into xzm and activated the module

Code: Select all

txz2xzm flatpak-1.6.2-x86_64-1_slonly.txz
activate flatpak-1.6.2-x86_64-1_slonly.xzm
Next tried to resolved dependencies using usm, basically tells you which modules to download, it's just that never truly downloaded the packages:

Code: Select all

usm -d flatpak-1.6.2-x86_64-1_slonly.xzm
14.2+

 Processing  flatpak-1.6.2-x86_64-1_slonly

####################################

libappstream-glib.so.8 => not found
libseccomp.so.2 => not found
libostree-1.so.1 => not found
libgpgme-pthread.so.11 => not found
libicui18n.so.56 => not found
libicuuc.so.56 => not found
libicudata.so.56 => not found
Required by: flatpak-1.6.2-x86_64-1_slonly (/usr/bin/flatpak)

libseccomp.so.2 => not found
libostree-1.so.1 => not found
libgpgme-pthread.so.11 => not found
libicui18n.so.56 => not found
libicuuc.so.56 => not found
libicudata.so.56 => not found
Required by: flatpak-1.6.2-x86_64-1_slonly (/usr/lib64/libflatpak.so.0.10602.0)

####################################


 Missing dependencies:  7

libappstream-glib.so.8
libgpgme-pthread.so.11
libicudata.so.56
libicui18n.so.56
libicuuc.so.56
libostree-1.so.1
libseccomp.so.2
Searching  libappstream-glib.so.8:  found 1 packages.
Searching  libgpgme-pthread.so.11:  found 1 packages.
Searching  libicudata.so.56:  found 3 packages.

Choose a package to download or choose 'None' to neglect
1) None				       3) hexinator-1.12-x86_64-1_slonly.txz
2) hexinator-1.12-x86_64-1_slonly.txz  4) icu4c-56.1-x86_64-2.txz
#? 4

Searching  libicui18n.so.56:  found 3 packages.
icu4c-56.1-x86_64-2.txz already in download list.

Searching  libicuuc.so.56:  found 3 packages.
icu4c-56.1-x86_64-2.txz already in download list.

Searching  libostree-1.so.1:  found 1 packages.
Searching  libseccomp.so.2:  found 2 packages.

Choose a package to download or choose 'None' to neglect
1) None
2) libseccomp-2.4.3-x86_64-1ponce.txz
3) libseccomp-2.4.3-x86_64-1_slonly.txz
#? 3


 The following packages are ready to download: 

appstream-glib-0.7.15-x86_64-2_slonly.txz [400 KB]
gpgme-1.6.0-x86_64-1.txz [276 KB]
icu4c-56.1-x86_64-2.txz [7.90 MB]
ostree-2019.6-x86_64-1_slonly.txz [472 KB]
libseccomp-2.4.3-x86_64-1_slonly.txz [80 KB]

 Press [r] to remove packages, [q] to quit, or enter to start downloading.
Basically said this ones:
appstream-glib-0.7.15-x86_64-2_slonly.txz [400 KB]
gpgme-1.6.0-x86_64-1.txz [276 KB]
icu4c-56.1-x86_64-2.txz [7.90 MB]
ostree-2019.6-x86_64-1_slonly.txz [472 KB]
libseccomp-2.4.3-x86_64-1_slonly.txz [80 KB]

I downloaded all of them and proceded to make all of them xzm and activated them. I did the whole batch at the same time, moved them to a folder, just be careful you dont have any other txz in the same folder:

Code: Select all

mkdir flatDependencies
mv *txz flatDependencies/
cd flatDependencies
txz2xzm *txz
activate *xzm
Then I retried to resolve dependencies with usm -d flatpak-1.6.2-x86_64-1_slonly.xzm a couple more times. I repeated downloading, transforming to xzm and activating with the rest of libraries needed. In the end usm finally tells you you have no more pendant dependencies:

Code: Select all

usm -d flatpak-1.6.2-x86_64-1_slonly.xzm 
14.2+

 Processing  flatpak-1.6.2-x86_64-1_slonly

Missing dependencies: 0



Then you can try using flatpak!

Let me know if this somehow works for you.

Lachu
White ninja
White ninja
Posts: 7
Joined: 14 May 2020, 16:53
Distribution: OpenSUSE

Flatpak installation problems

Post#4 by Lachu » 16 May 2020, 19:07

I have had installed flatpak, but probably incorrectly. It complains there's no libostree. When I order to install ostree form slonly (the same repo I installed flatpak from) and selecting hexainator as dependency, dependency error occur. When installing flatpak, I also selected hexainator and also from slonly.

User avatar
Ed_P
Contributor
Contributor
Posts: 5476
Joined: 06 Feb 2013, 22:12
Distribution: 4.0 Cinnamon 64-bit ISO
Location: Western NY, USA

Flatpak installation problems

Post#5 by Ed_P » 16 May 2020, 21:48

It should be noted Lachu that nachosan ran his detailed steps on the 5.0rc1 test system. Are you using the test system or the 4.0 system?
Ed

Lachu
White ninja
White ninja
Posts: 7
Joined: 14 May 2020, 16:53
Distribution: OpenSUSE

Flatpak installation problems

Post#6 by Lachu » 17 May 2020, 08:05

I'm using stable version (4) .

nachosan
White ninja
White ninja
Posts: 7
Joined: 24 Apr 2020, 16:20
Distribution: Porteus-CINNAMON-v5.0rc1

Flatpak installation problems

Post#7 by nachosan » 17 May 2020, 13:05

Ed_P wrote:
16 May 2020, 21:48
It should be noted Lachu that nachosan ran his detailed steps on the 5.0rc1 test system. Are you using the test system or the 4.0 system?
Thank you Ed_P, that is correct, I'm not using v4. Newbie error. Haha!

I see Lachu in your screen that usm exit with an error. It means didnt installed the libraries.

Why dont you try installing the packages individually like:

Code: Select all

usm -g ostree
usm -g appstream-glib
and so forth, and if not possible, download through web browser like i described in my previous comment.

when you have installed those packages you can either try flatpak once again or deactivate and activate once again.

Nachosan

Lachu
White ninja
White ninja
Posts: 7
Joined: 14 May 2020, 16:53
Distribution: OpenSUSE

Flatpak installation problems

Post#8 by Lachu » 17 May 2020, 17:22

I cannot install it with -g switch, because I have dependency error after downloading (similar error like with flatpak). But I can probably download it by hand and them install in similar way it was described here. I will try tomorrow.

User avatar
Ed_P
Contributor
Contributor
Posts: 5476
Joined: 06 Feb 2013, 22:12
Distribution: 4.0 Cinnamon 64-bit ISO
Location: Western NY, USA

Flatpak installation problems

Post#9 by Ed_P » 17 May 2020, 19:07

Lachu have you updated the USM databases? Have you tweaked the mirrors (via sesm)?

Added in 1 minute 42 seconds:
Lachu have you updated the USM databases? Have you tweaked the mirrors (via sesm)?
Ed

Lachu
White ninja
White ninja
Posts: 7
Joined: 14 May 2020, 16:53
Distribution: OpenSUSE

Flatpak installation problems

Post#10 by Lachu » 18 May 2020, 11:10

I never used porteus before. I'm C/PHP/JavaScript developer. I known in many cases if something is for everything, is for nothing, nut I fell good with system administrator. I never used pure slackware distros. I used Ubuntu, Debian, OpenSUSE and KateOS. I use GNU/Linux system for long time. Maybe this will tell you about my knowledge. I use rather simple for use distros.
So can you provide me a link with description of term you use? I do usm -u all many times, but sesm?

Lachu
White ninja
White ninja
Posts: 7
Joined: 14 May 2020, 16:53
Distribution: OpenSUSE

Flatpak installation problems

Post#11 by Lachu » 18 May 2020, 12:35

I installed newest porteus again (5), but the error wasn't missing. I must tell you the story. Firstly, I installed porteus 5, but slacky repo doesn't worked, so I must change mirror. After this installation of flatpak end ups with error: no search result (nothing found or something). So I installed porteus 4. You known what I do between. But today I decided to install porteus 5 again and detect, what I could do wrong. I start freshly installed porteus 5 and have messes from 4. So I make filesystem on porteus 5 partition and install it again. No search result error reappear. Today I will format the partition again and install porteus 4.

I have one question - could I install newer version of flatpak (version with number above 1 major number will be best).

User avatar
Ed_P
Contributor
Contributor
Posts: 5476
Joined: 06 Feb 2013, 22:12
Distribution: 4.0 Cinnamon 64-bit ISO
Location: Western NY, USA

Flatpak installation problems

Post#12 by Ed_P » 18 May 2020, 17:07

USM does not work in the 5.0rc1 test system. In version 4 it is necessary to run the USM Update All the 1st time you use USM. USM uses a number of distributions which use a number of mirrors. Some mirrors have problems periodically and need to be updated which with the pandemic can take a while. The easiest solution is to use a different mirror. Manually tweaking the mirrors works but there is a script, named sesm, that tweaks the mirrors automatically to the fastest one available for your location. That script is found here: [INFO & SCRIPT] Slackware Mirror Settings for USM
Ed

beny
Full of knowledge
Full of knowledge
Posts: 851
Joined: 02 Jan 2011, 11:33
Location: italy

Flatpak installation problems

Post#13 by beny » 18 May 2020, 17:59

hi lachu i have tried to do a package of flatpak,but i have used the current sbo and not the 14.2 so you need also glib-networking and gsetting-desktop-schemas avahi rpm and libyaml to work with flatpak
http://www.mediafire.com/folder/u2cud9974iton/flatpak this is the temporary link to download the folder i have installed into a /mnt/sdg1/porteus/porteus-v5.0-x86_64. so you can try if work for you ps: you can install slpkg it is like usm but do not merge and do the xzm packages for you ,you have to build with the porteus script in /opt directory
this is the terminal action: seem that work,
guest@porteus:~$ su root
Password:
root@porteus:/home/guest# flatpak install https://flathub.org/repo/appstream/org. ... flatpakref
The remote 'flathub', referred to by 'org.gimp.GIMP' at location https://dl.flathub.org/repo/ contains additional applications.
Should the remote be kept for future installations? [Y/n]: y
Required runtime for org.gimp.GIMP/x86_64/stable (runtime/org.gnome.Platform/x86_64/3.36) found in remote flathub
Do you want to install it? [Y/n]: y

org.gimp.GIMP permissions:
ipc network x11 file access [1] dbus access [2] tags [3]

[1] /tmp, host, xdg-config/GIMP, xdg-config/gtk-3.0, xdg-run/gvfs
[2] org.freedesktop.FileManager1, org.gtk.vfs, org.gtk.vfs.*
[3] stable


ID Branch Op Remote Download
1. [✓] org.freedesktop.Platform.GL.default 19.08 i flathub 84.6 MB / 85.1 MB
2. [✓] org.freedesktop.Platform.openh264 2.0 i flathub 858.1 kB / 916.8 kB
3. [|] org.gnome.Platform.Locale 3.36 i flathub 140.9 MB / 323.0 MB
4. [ ] org.gnome.Platform 3.36 i flathub < 324.5 MB
5. [ ] org.gimp.GIMP stable i flathub < 110.1 MB

Installing 3/5… ████████████████████ 100% 7.0 MB/s 00:00

sorry have starting with something too huge.....

Lachu
White ninja
White ninja
Posts: 7
Joined: 14 May 2020, 16:53
Distribution: OpenSUSE

Flatpak installation problems

Post#14 by Lachu » 21 May 2020, 12:20

I download each file and perform:

Code: Select all

for a in *; do activate ${a}; done
But it complains about missing libdconf.so.1, when trying to run flatpak.

beny
Full of knowledge
Full of knowledge
Posts: 851
Joined: 02 Jan 2011, 11:33
Location: italy

Flatpak installation problems

Post#15 by beny » 22 May 2020, 02:09

hi lachu the system where flatpak run is porteus-v5.0-x86_64. stock, only the firefox browser in, and for me do not have this issue with dconf,you have put all in modules folder at reboot you have all activated.

Post Reply